section {
    min-height: 100vh;
    padding: 10rem 7% 2rem;
}


.home{
    display: flex;
    align-items: center;
}

.home .home-content {
    max-width: 44rem;
}

.home-content h3 {
    font-size: 3rem;
    font-weight: 700;
    line-height: .3;
}

.home-content h1 {
    font-size: 3.9rem;
    font-weight: 700;
    margin-bottom: .3rem;
}

.home-content p {
    font-size: 1.6rem;
}

.home-content .social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.home-content .social-media a:hover {
    background: var(--main-color);
    color: var(--white-color);
}

.btn {
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem;
    font-weight: 600;
    border: .2rem solid transparent;
    transition: .5s ease;
}

.btn:hover{
    background: transparent;
    color: var(--main-color);
    border-color: var(--main-color);
}

.home .profession-container {
    position:absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 768px;
    height: 768px;
    overflow: hidden;
    pointer-events: none; 
}

.home .profession-container .profession-box {
    position: absolute;
    top: 0;
    right: 0;
    width: 768px;
    height: 768px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: professionRotate 13s ease-out infinite;
} 

@keyframes professionRotate {
    0%,20% {
        transform: rotate(0deg);
    }
    25%,45% {
        transform: rotate(-90deg);
    }

    50%,70%{
        transform: rotate(-180deg);
    }

    75%,95%{
        transform: rotate(-270deg);
    }

    100%{
        transform: rotate(-360deg);
    }
}

.home .profession-box .profession {
    position: absolute;
    left: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: var(--main-color);
    transform: rotate(calc(360deg / 4 * var(--i)));
    transform-origin: 384px;
    background: var(--bg-color);
    padding: 13px 0;
}

.home .profession-box .profession:nth-child(1) i {
    margin-right: 15px;
}

.home .profession-box .profession:nth-child(2),
.home .profession-box .profession:nth-child(4) {
    padding-bottom: 20px;
}

 .home .profession i {
    font-size: 3.8rem;
 }
 
.home .profession h3 {
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 600;
}

.home .profession-box .circle {
    width: 560px;
    height: 560px;
    border: 3px solid var(--main-color);
    border-radius: 50%;
}

.home .profession-container .overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border-top: 384px solid var(--main-color);
    border-right: 384px solid var(--main-color);
    border-bottom: 384px solid var(--main-color);
    border-left: 384px solid transparent;
}


/*perzonalizo esta configuracion la del video no me iba*/
.home-img {
    position: relative;
    width: 600px;
    height: 600px;
    margin-left: auto;
}

.home-img img {
    position: absolute;
    bottom: 0;    
    width: 120%;
    pointer-events: none;
} 





/*about section*/
span {
    color: var(--main-color);
} 

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
}

.about-img img {
    width: 40vw;
}

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.about-content h2 {
    text-align: left;
    line-height: 1.2;
}

.about-content h3 {
    font-size: 2rem;
}

.about-content p {
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}

.services {
    min-height: auto;
    padding-bottom: 7rem;
}

.services h2 {
    margin-bottom: 5rem;
}



.services .services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services-container .services-box {
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
    border-top: .6rem solid var(--main-color);
    border-bottom: .6rem solid var(--main-color);
    transition: .5s ease;
}

.services-container .services-box:hover {
    box-shadow: 0 .1rem 2rem var(--shadow-color);
    transform: scale(1.02);
}

.services-box i {
    font-size: 7rem;
    color: var(--main-color);
}

.services-box h3 {
    font-size: 2.6rem;
    transition: .5s ease;
}

.services-box:hover h3 {
    color: var(--main-color);
}

.services-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}

.portfolio {
    padding-bottom: 10rem;
}

.portfolio h2 {
    margin-bottom: 4rem;
}

.portfolio .portfolio-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.portfolio-container .portfolio-box {
    position: relative;
    display: flex;
    border-radius: 2rem;
    box-shadow: 0 0 1rem rgba( 0, 0, 0,.1);
    overflow: hidden;

}

.portfolio-box img {
    width: 100%;
    transition: .5s ease;
}

.portfolio-box:hover img {
    transform: scale(1.1);
}

.portfolio-box .portfolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
    color: var(--white-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    opacity: 0;
    transition: .5s ease;
}

.portfolio-box:hover .portfolio-layer {
    opacity: 1;
}


.portfolio-layer h4 {
    font-size: 3rem;
}

.portfolio-layer p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.portfolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--white-color);
    border-radius: 50%;
}

.portfolio-layer i {
    font-size: 2rem;
    color: #333;
}

.testimonial-container {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    padding: 5rem 1rem;
}
                        
.testimonial-container .testimonial-wrapper {
    position: relative;
    max-width: 90rem;
    width: 100%;
    padding: 5rem;
}

.testimonial-wrapper .testimonial-box {
    padding: 1rem;
    border-radius: 2rem;
    overflow: hidden;
}

.testimonial-content .testimonial-slide {
    display: flex;
    align-items: center;
    flex-direction: column;
    background: var(--bg-color);
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    padding: 3rem 5rem;
    border-top: .8rem solid var(--main-color);
    border-bottom: .8rem solid var(--main-color);
}

.testimonial-slide img {
    width: 14rem;
    height: 14rem;
    object-fit: cover;
    border-radius: 50%;
    border: .5rem solid var(--bg-color);
    outline: .5rem solid var(--main-color);
}

.testimonial-slide h3 {
    font-size: 2.5rem;
    margin: 2rem 0;
}

.testimonial-slide p {
    font-size: 1.4rem;
    text-align: center;

}

.testimonial-box .swiper-button-next,
.testimonial-box .swiper-button-prev {
    color: var(--main-color);
}

.testimonial-box .swiper-button-next {
    right: 0;
}

.testimonial-box .swiper-button-prev {
    left: 0;
}

.testimonial-box .swiper-pagination-bullet {
    background: rgba(0, 0, 0, .8);
}

.testimonial-box .swiper-pagination-bullet-active {
    background: var(--main-color);
}

.contact h2 {
    margin-bottom: 3rem;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--bg--color);
    border-radius: .8rem;
    margin: .7rem 0;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
}

.contact form .input-box input {
    width: 49%;
}

.contact form textarea {
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 7%;
    background: var(--main-color);
}

.footer-text p {
    font-size: 1.6rem;
    color: var(--white-color);
}

.footer-iconTop a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--white-color);
    border-radius: .8rem;
    border: .2rem solid var(--main-color);
    outline: .2rem solid transparent;
    transition: .5s ease;
}

.footer-iconTop a:hover {
    outline-color: var(--white-color);
}



.footer-iconTop a i {
    font-size: 2.4rem;
    color: #333;
}

